<?php

namespace Tfaf\Inc;

use Tfaf\Inc\Base\UltimateMemberIntegrationController;

final class Init
{
    /**
     * Store all the used classes inside an array
     * @return array Full list of classes
     */
    public static function get_services()
    {
        require_once TFAF_PLUGIN_PATH . 'Inc/Pages/Dashboard.php';
        require_once TFAF_PLUGIN_PATH . 'Inc/Base/Enqueue.php';
        require_once TFAF_PLUGIN_PATH . 'Inc/Base/SettingsLinks.php';
        require_once TFAF_PLUGIN_PATH . 'Inc/Base/CustomMenuController.php';
        require_once TFAF_PLUGIN_PATH . 'Inc/Base/CustomUrlController.php';
        require_once TFAF_PLUGIN_PATH . 'Inc/Base/UltimateMemberIntegrationController.php';


        return [
            Pages\Dashboard::class,
            Base\Enqueue::class,
            Base\SettingsLinks::class,
            Base\CustomMenuController::class,
            Base\CustomUrlController::class,
            Base\UltimateMemberIntegrationController::class,
        ];
    }

    /**
     * Loop through the classes, initialize them,
     * and call the register() method if exists
     */
    public static function register_services()
    {
        foreach (self::get_services() as $class) {
            $service = self::instantiate($class);
            if (method_exists($service, 'register')) {
                $service->register();
            }
        }
    }

    /**
     * Initialize the class
     *
     * @param class $class class to initialize
     *
     * @return class instance new instance of the class
     */
    private static function instantiate($class)
    {
        return new $class();
    }
}