<div class="wrap">
    <h1><?php esc_html_e('Custom Menu Manager', 'toolbox-for-asgaros-forum') ?></h1>
    <?php settings_errors(); ?>

    <ul class="nav nav-tabs">
        <li class="<?php echo !isset($_POST["edit_entry"]) ? 'active' : '' ?>">
            <a href="#tab-1"><?php esc_html_e('Your Custom Menu Entries', 'toolbox-for-asgaros-forum') ?></a></li>
        <li class="<?php echo isset($_POST["edit_entry"]) ? 'active' : '' ?>">
            <a href="#tab-2">
                <?php
                echo isset($_POST["edit_entry"]) ? esc_html__('Edit', 'toolbox-for-asgaros-forum') : esc_html__('Add', 'toolbox-for-asgaros-forum') . ' ';
                esc_html_e('Custom Menu Entry', 'toolbox-for-asgaros-forum');
                ?>
            </a>
        </li>
    </ul>

    <div class="tab-content">
        <div id="tab-1" class="tab-pane <?php echo !isset($_POST["edit_entry"]) ? 'active' : '' ?>">
            <h3><?php esc_html_e('Manage your Custom Menu Entries', 'toolbox-for-asgaros-forum') ?></h3>

            <?php

            $options = get_option('tfaf_custom_menu') ?: array();
            $positions = "";
            echo '<table class="cme-table"><tr><th>' . esc_html__('Position', 'toolbox-for-asgaros-forum') .
                '</th><th>' . esc_html__('Link Text', 'toolbox-for-asgaros-forum') . '</th><th>' .
                esc_html__('URL', 'toolbox-for-asgaros-forum') . '</th><th>' .
                esc_html__('New Tab', 'toolbox-for-asgaros-forum') . '</th><th>' .
                esc_html__('Only logged in Users', 'toolbox-for-asgaros-forum') . '</th><th>' .
                esc_html__('Move Entry', 'toolbox-for-asgaros-forum') . '</th><th>' .
                esc_html__('Actions', 'toolbox-for-asgaros-forum') . '</th></tr>';

            foreach ($options as $option) {
                $positions .= $option['menu_position'] . '-';
                $new_tab = (isset($option['menu_new_tab'])) ? 'TRUE' : 'FALSE';
                $only_users = (isset($option['menu_only_users'])) ? 'TRUE' : 'FALSE';

                echo "<tr class='menu-entry'><td>{$option['menu_position']}</td><td>{$option['menu_link_text']}</td>" .
                    "<td>{$option['menu_url']}</td><td>$new_tab</td><td>$only_users</td>" .
                    "<td>";

                echo '<button class ="up_button button button-small"><span class="dashicons dashicons-arrow-up-alt2"></span></button>';
                echo '<button class ="down_button button button-small"><span class="dashicons dashicons-arrow-down-alt2"></span></button> </td>';
                echo '<td><form method="post" action="" class="inline-block">';
                echo '<input type="hidden" name="edit_entry" value="' . $option['menu_position'] . '">';
                submit_button(esc_html__('Edit', 'toolbox-for-asgaros-forum'), 'primary small', 'submit', false);
                echo '</form>';


                echo ' <form method="post" action="options.php" class="inline-block">';
                settings_fields('tfaf_custom_menu_settings');
                echo '<input type="hidden" name="remove" value="' . $option['menu_position'] . '">';
                submit_button(esc_html__('Delete', 'toolbox-for-asgaros-forum'), 'delete small', 'submit', false, array(
                    'onclick' => 'return confirm("Are you sure you want to delete the CEM?")'
                ));

                echo '</form></td></tr>';

            }

            echo '</table>';

            echo '<br><form method="post" action="options.php">';
            settings_fields('tfaf_custom_menu_settings');
            echo '<input type="hidden" name="positions" id="tfaf_menu_positions" value="">';
            submit_button(esc_html__('Save Order', 'toolbox-for-asgaros-forum'), 'primary', 'submit', false, array('id' => 'tfaf-button-save-order'));
            echo '</form>';
            ?>
        </div>

        <div id="tab-2" class="tab-pane <?php echo isset($_POST["edit_entry"]) ? 'active' : '' ?>">
            <form method="post" action="options.php">
                <?php
                settings_fields('tfaf_custom_menu_settings');
                do_settings_sections('tfaf_cme');

                submit_button(null, 'primary', 'submit', false);
                if (isset($_POST["edit_entry"])) {
                    echo '<button onclick="location.reload()" class="button button-secondary">' .
                        esc_html__('Discard', 'toolbox-for-asgaros-forum') . '</button>';
                }
                ?>
            </form>
        </div>
    </div>

</div>